Skip to main content
GET
/
fqdn_connections
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const fqdnConnection = await client.fqdnConnections.retrieve('1293384261075731499');

console.log(fqdnConnection.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
fqdn_connection = client.fqdn_connections.retrieve(
"1293384261075731499",
)
print(fqdn_connection.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
fqdnConnection, err := client.FqdnConnections.Get(context.TODO(), "1293384261075731499")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", fqdnConnection.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.fqdnconnections.FqdnConnectionRetrieveParams;
import com.telnyx.sdk.models.fqdnconnections.FqdnConnectionRetrieveResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

FqdnConnectionRetrieveResponse fqdnConnection = client.fqdnConnections().retrieve("1293384261075731499");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

fqdn_connection = telnyx.fqdn_connections.retrieve("1293384261075731499")

puts(fqdn_connection)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$fqdnConnection = $client->fqdnConnections->retrieve('1293384261075731499');

var_dump($fqdnConnection);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx fqdn-connections retrieve \
--api-key 'My API Key' \
--id 1293384261075731499
curl --request GET \
--url https://api.telnyx.com/v2/fqdn_connections/{id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "1293384261075731499",
    "record_type": "fqdn_connection",
    "active": true,
    "anchorsite_override": "Latency",
    "connection_name": "string",
    "transport_protocol": "UDP",
    "default_on_hold_comfort_noise_enabled": true,
    "dtmf_type": "RFC 2833",
    "encode_contact_header_enabled": true,
    "encrypted_media": "SRTP",
    "onnet_t38_passthrough_enabled": true,
    "ios_push_credential_id": "ec0c8e5d-439e-4620-a0c1-9d9c8d02a836",
    "android_push_credential_id": "06b09dfd-7154-4980-8b75-cebf7a9d4f8e",
    "webhook_event_url": "https://example.com",
    "webhook_event_failover_url": "https://failover.example.com",
    "webhook_api_version": "1",
    "webhook_timeout_secs": 25,
    "call_cost_in_webhooks": false,
    "tags": [
      "tag1",
      "tag2"
    ],
    "rtcp_settings": {
      "port": "rtcp-mux",
      "capture_enabled": true,
      "report_frequency_secs": 10
    },
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "inbound": {
      "ani_number_format": "+E.164",
      "dnis_number_format": "+e164",
      "codecs": [
        "G722"
      ],
      "channel_limit": 10,
      "generate_ringback_tone": true,
      "isup_headers_enabled": true,
      "prack_enabled": true,
      "sip_compact_headers_enabled": true,
      "sip_region": "US",
      "sip_subdomain": "string",
      "sip_subdomain_receive_settings": "only_my_connections",
      "timeout_1xx_secs": 10,
      "timeout_2xx_secs": 10,
      "shaken_stir_enabled": true
    },
    "outbound": {
      "ani_override": "string",
      "ani_override_type": "always",
      "call_parking_enabled": true,
      "channel_limit": 10,
      "generate_ringback_tone": true,
      "instant_ringback_enabled": true,
      "ip_authentication_method": "credential-authentication",
      "ip_authentication_token": "string",
      "localization": "string",
      "outbound_voice_profile_id": "1293384261075731499",
      "t38_reinvite_source": "customer",
      "tech_prefix": "string"
    },
    "noise_suppression": "both",
    "noise_suppression_details": {
      "engine": "deep_filter_net",
      "attenuation_limit": 80
    },
    "jitter_buffer": {
      "enable_jitter_buffer": true,
      "jitterbuffer_msec_min": 60,
      "jitterbuffer_msec_max": 200
    }
  }
}
{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not understand the provided credentials.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}
{
"errors": [
{
"code": "10010",
"title": "Not authorized",
"detail": "You are not authorized to access the requested resource.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10010"
},
"source": {
"pointer": "/"
}
}
]
}
{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10005"
},
"source": {
"pointer": "/"
}
}
]
}
{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "Invalid dnis_format: test, was provided. Acceptable formats are +e164, e164, national, sip_username",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
},
"source": {
"pointer": "/inbound/dnis_number_format"
}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the resource.

Example:

"1293384261075731499"

Response

Successful response with details about an FQDN connection.

data
FQDN Connection · object
Example:
{
"id": "1293384261075731499",
"record_type": "fqdn_connection",
"active": true,
"anchorsite_override": "Latency",
"connection_name": "string",
"transport_protocol": "UDP",
"default_on_hold_comfort_noise_enabled": true,
"dtmf_type": "RFC 2833",
"encode_contact_header_enabled": true,
"encrypted_media": "SRTP",
"onnet_t38_passthrough_enabled": true,
"ios_push_credential_id": "ec0c8e5d-439e-4620-a0c1-9d9c8d02a836",
"android_push_credential_id": "06b09dfd-7154-4980-8b75-cebf7a9d4f8e",
"webhook_event_url": "https://example.com",
"webhook_event_failover_url": "https://failover.example.com",
"webhook_api_version": "1",
"webhook_timeout_secs": 25,
"call_cost_in_webhooks": false,
"tags": ["tag1", "tag2"],
"rtcp_settings": {
"port": "rtcp-mux",
"capture_enabled": true,
"report_frequency_secs": 10
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"inbound": {
"ani_number_format": "+E.164",
"dnis_number_format": "+e164",
"codecs": ["G722"],
"channel_limit": 10,
"generate_ringback_tone": true,
"isup_headers_enabled": true,
"prack_enabled": true,
"sip_compact_headers_enabled": true,
"sip_region": "US",
"sip_subdomain": "string",
"sip_subdomain_receive_settings": "only_my_connections",
"timeout_1xx_secs": 10,
"timeout_2xx_secs": 10,
"shaken_stir_enabled": true
},
"outbound": {
"ani_override": "string",
"ani_override_type": "always",
"call_parking_enabled": true,
"channel_limit": 10,
"generate_ringback_tone": true,
"instant_ringback_enabled": true,
"ip_authentication_method": "credential-authentication",
"ip_authentication_token": "string",
"localization": "string",
"outbound_voice_profile_id": "1293384261075731499",
"t38_reinvite_source": "customer",
"tech_prefix": "string"
},
"noise_suppression": "both",
"noise_suppression_details": {
"engine": "deep_filter_net",
"attenuation_limit": 80
},
"jitter_buffer": {
"enable_jitter_buffer": true,
"jitterbuffer_msec_min": 60,
"jitterbuffer_msec_max": 200
}
}